> For the complete documentation index, see [llms.txt](https://docs.explodely.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.explodely.com/api/cancel-rebill.md).

# Cancel Rebill

**Rebill API Endpoint:**&#x20;

`https://explodely.com/api/v1/rebill`

**Parameters:**

To cancel a rebill, you need to send below parameters as GET to the rebill API endpoint.

username - Your Explodely account username

apikey - Your Explodely account API key

apiaction - This should always be set as "cancelrebill"

mainorderid - This is the initial order ID of Explodely rebill sale

**Responses:**

The API endpoint returns a JSON object.

`{"error":"invalidapikey"}` - This is returned when the API key and username is not authenticated.

`{"error":"invalid_mainorderid"}` - This is returned when the mainorder ID provided is not valid.

`{"error":"unauthorized_access"}` - This is returned when the mainorder ID does not belong to the API user account.

`{"rebillcancel":"done","mainorderid":"236084113"}` - This is returned when the system tries to cancel the rebills associated with provided main order ID if any.&#x20;

Please note that if the provided main order ID is valid order ID of the API user then the system will always return the above response even if there is no associated rebill instance to cancel.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.explodely.com/api/cancel-rebill.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
